    .file "test_6.asm"
    .data
data:
    .byte 0x12
    .byte 0x34
    .word 0x1234
    .word 0x5678

    .text
    .global _start

_start:

    movq %rsp, %rbp
    subq $6, %rsp; // вычесть число 6 из %rsp

    leaq data, %rbx; // загрузить адрес сигмента данных в регистр rbx
    movb 0(%rbx), %al
    movb %al, 0(%rsp)

    movb 1(%rbx), %al
    movb %al, 1(%rsp)

    movw 2(%rbx), %ax
    movw %ax, 1(%rsp)

    movw 4(%rbx), %ax
    movw %ax, 4(%rsp)

M:
    movq %rbp, %rsp

    //exit
    movq $60, %rax
    movq $0, %rdi
    syscall
